## gnome-user-share 48.1

=== meson_options.txt ===
option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units')

option('httpd', type: 'array', value: ['httpd', '/usr/sbin/httpd', 'apache2', '/usr/sbin/apache2', 'httpd2', '/usr/sbin/httpd2'], description: 'Specify the binary used for the Apache httpd binary (default: httpd)')
option('modules_path', type: 'string', value: '/etc/httpd/modules/', description: 'Path where the httpd modules are located (default: /etc/httpd/modules/')

## gnome-user-share 3.0.0

=== debian/changelog ===
gnome-user-share (3.0.0-2ubuntu3) oneiric; urgency=low

  * debian/patches/08_fix_port_discovery.patch:
    - Specify an address family in http.c:get_port() so that the bind()
      succeeds and we actually get a port.  LP: #856732

 -- Adam Glasgall <adam@crossproduct.net>  Mon, 26 Sep 2011 11:08:49 -0400

gnome-user-share (3.0.0-2ubuntu2) oneiric; urgency=low

  * debian/patches/06_nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/07_onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 01 Jul 2011 12:22:57 +0100

gnome-user-share (3.0.0-2ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian (lp: #788714), Remaining diffs:
  * debian/control:
    - don't Build-depend on scrollkeeper.
    - Suggests the apache2.2-bin and libapache2-mod-dnssd binaries rather than 
      depends on those, we want obex push to work out of the box but we don't 
      really need webdav and the apache binaries on the default installation.
  * debian/dirs: Dropped, we don't need to create /usr/share/gnome.
  * debian/gconf-defaults: Enable notifications on receipt of files by default
  * debian/patches/01_notification.patch: Display an alert box instead
    of a notification for files received. 
  * debian/patches/02_bluetooth_optional.patch: Dropped, it's enables
    Bluetooth support to be configurable at build-time. We don't
    actually use it, it adds a lot of #ifdef's to the code, and requires
    some effort to port it to the new version.
  * debian/patches/04_webdav_optional.patch:
    - De-senstize the WebDAV UI components if the suggested packages are 
      not available for WebDAV sharing. Display a notice explaining why sharing 
      cannot be enabled.
  * debian/patches/05_autostart_delay.patch: 
    - set X-GNOME-Autostart-Delay key to delay starting by 15 seconds.
  * debian/rules: 
    - don't move autostart file from etc to usr
    - don't install the Nautilus bar. It's not that useful to people who don't 
      have bluetooth hardware and is not easily disabled.
    - use --disable-scrollkeeper

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jun 2011 12:38:53 +0200

gnome-user-share (3.0.0-2) experimental; urgency=low

  * Require libnotify 0.7.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Jun 2011 14:26:00 +0200

gnome-user-share (3.0.0-1) experimental; urgency=low

  * New upstream release.
  * Switch to 3.0 quilt format.
  * Use dh-autoreconf.
  * Drop 90_relibtoolize.patch accordingly.
  * 02_bluetooth_optional.patch: updated for the new version.
  * Update build dependencies.
  * preinst: dropped, the fixed version is in stable.

 -- Josselin Mouette <joss@debian.org>  Tue, 31 May 2011 23:21:38 +0200

gnome-user-share (2.30.1-1) unstable; urgency=low

  * Drop type-handling usage. Closes: #587876.
  * Bump standards version accordingly.
  * New upstream translation and bugfix release.
  * 03_NAUTILUS_IS_USER_SHARE.patch: dropped, merged upstream.
  * 90_relibtoolize.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 Oct 2010 00:06:37 +0200

gnome-user-share (2.30.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/watch:
    - Only track stable releases.

  [ Luca Falavigna ]
  * New upstream release.
  * Refresh patches for new upstream release:
    - 02_bluetooth_optional.patch
    - 90_relibtoolize.patch
  * debian/patches/03_makefile_error.patch:
    - Removed, fixed upstream.
  * debian/patches/03_NAUTILUS_IS_USER_SHARE.patch:
    - Fix use of undefined macro NAUTILUS_IS_SHARE.
  * debian/control.in:
    - Build-depend on libnautilus-extension-dev.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/rules:
    - Do not consider libnautilus-share-extension a shared library.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 04 Apr 2010 18:48:44 +0200

gnome-user-share (2.28.2-4) unstable; urgency=low

  * debian/patches/02_bluetooth_optional.patch:
    - Re-add HAVE_BLUETOOTH macro, erroneously removed (Closes: #563614).
  * debian/patches/90_relibtoolize.patch:
    - Regenerate to pick the above change.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 18 Jan 2010 00:33:29 +0100

gnome-user-share (2.28.2-3) unstable; urgency=low

  * debian/control.in:
    - adding back obex-data-server depends since g-u-s
      actually needs it and not obexd-server itself. (there's
      no GNOME package using obexd-server at the moment)

 -- Andrea Veri <and@debian.org>  Fri, 15 Jan 2010 14:40:50 +0100

gnome-user-share (2.28.2-2) unstable; urgency=low

  * debian/patches/90_relibtoolize.patch:
    - Regenerate it from scratch, previous attempt was unsuccessful and
      caused build failures on some ports.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 23 Dec 2009 00:10:27 +0100

gnome-user-share (2.28.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Depend on obexd-server, not obex-data-server.

  [ Luca Falavigna ]
  * New upstream bugfix release.
  * Refresh patches for new upstream release.
  * debian/control:
    - Add libunique-dev to Build-Depends.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 22 Dec 2009 21:18:06 +0000

gnome-user-share (2.28.1-3) unstable; urgency=low

  * Oops, it’s not+linux-gnu, not not+linux.

 -- Josselin Mouette <joss@debian.org>  Sat, 14 Nov 2009 14:47:38 +0100

gnome-user-share (2.28.1-2) unstable; urgency=low

  * Switch to quilt to manage patches.
  * 02_bluetooth_optional.patch: new patch. Make bluetooth support 
    optional so that it can build on kFreeBSD.
  * Only require bluetooth stuff on Linux architectures.
  * 03_makefile_error.patch: new patch. Fix error in Makefile.am leading 
    to automake being unable to run.
  * 90_relibtoolize.patch: re-run the autotools on top of that.

 -- Josselin Mouette <joss@debian.org>  Sat, 14 Nov 2009 13:32:09 +0100

gnome-user-share (2.28.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-user-share
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
Uploaders: Andrea Veri <and@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Luca Falavigna <dktrkranz@debian.org>
Build-Depends: cdbs,
               debhelper (>= 5),
               dh-autoreconf,
               gnome-pkg-tools,
               intltool (>= 0.35.0),
               gnome-doc-utils,
               libxt-dev,
               pkg-config,
               libdbus-1-dev (>= 1.1.1),
               libglib2.0-dev (>= 2.15.2),
               libgtk-3-dev,
               libgconf2-dev,
               libdbus-glib-1-dev,
               libnotify-dev (>= 0.7),
               libcanberra-gtk3-dev,
               libselinux1-dev [linux-any],
               libgnome-bluetooth-dev (>= 2.91.5) [linux-any],
               libunique-3.0-dev,
               libnautilus-extension-dev (>= 2.91.7)
Standards-Version: 3.9.0
Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/gnome-user-share/ubuntu

Package: gnome-user-share
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         obex-data-server [linux-any],
         gnome-bluetooth [linux-any]
Suggests: apache2.2-bin,
          libapache2-mod-dnssd (>= 0.6)
Description: User level public file sharing via WebDAV or ObexFTP
 gnome-user-share is a small package that allows easy user-level file sharing
 via WebDAV or ObexFTP. The shared files are announced on the network
 by Avahi.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gnome-user-share/([\d\.]+)[02468]/ \
	gnome-user-share-([\d\.]+)\.tar\.gz

## gnome-user-share 3.0.1

=== debian/changelog ===
gnome-user-share (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Oct 2011 01:40:40 +0200

gnome-user-share (3.0.0-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/control.in: Add Vcs-* fields.

  [ Michael Biebl ]
  * Upload to unstable.
  * Bump debhelper compatibility level to 8.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 Oct 2011 21:23:09 +0200

gnome-user-share (2.30.2-1) unstable; urgency=low

  * New upstream release.
    - Don't use deprecated libnotify API. Closes: #630278
  * Bump Build-Depends on libnotify-dev to (>= 0.7.0).
  * Use dh-autoreconf to update the build system.
    - Drop debian/patches/90_relibtoolize.patch.
    - Add Build-Depends on dh-autoreconf.
    - Add autoreconf.mk include to debian/rules.
  * Switch to dpkg source format 3.0 (quilt).
    - Drop Build-Depends on quilt.
    - Add debian/source/format.
    - Remove patchsys-quilt.mk include from debian/rules.
  * Bump Standards-Version to 3.9.2. No further changes.
  * debian/watch: Track .bz2 tarballs.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Aug 2011 07:29:53 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-user-share
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Veri <and@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools,
               intltool (>= 0.35.0),
               gnome-doc-utils,
               scrollkeeper,
               libxt-dev,
               pkg-config,
               libdbus-1-dev (>= 1.1.1),
               libglib2.0-dev (>= 2.15.2),
               libgtk-3-dev,
               libgconf2-dev,
               libdbus-glib-1-dev,
               libnotify-dev (>= 0.7),
               libcanberra-gtk3-dev,
               libselinux1-dev [linux-any],
               libgnome-bluetooth-dev (>= 2.91.5) [linux-any],
               libunique-3.0-dev,
               libnautilus-extension-dev (>= 2.91.7)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-user-share
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gnome-user-share

Package: gnome-user-share
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         apache2.2-bin,
         libapache2-mod-dnssd (>= 0.6),
         obex-data-server [linux-any],
         gnome-bluetooth [linux-any]
Description: User level public file sharing via WebDAV or ObexFTP
 gnome-user-share is a small package that allows easy user-level file sharing
 via WebDAV or ObexFTP. The shared files are announced on the network
 by Avahi.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_DH_MAKESHLIBS_ARGS += --exclude=libnautilus-share-extension.so
DEB_CONFIGURE_EXTRA_FLAGS += \
	--with-httpd=/usr/lib/apache2/mpm-worker/apache2 \
	--with-modules-path=/usr/lib/apache2/modules/

install/gnome-user-share::
	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf
	mv debian/gnome-user-share/etc/xdg/autostart debian/gnome-user-share/usr/share/gnome/
	rmdir -p --ignore-fail-on-non-empty debian/gnome-user-share/etc/xdg
	find debian/gnome-user-share -name "*.la" -delete

## gnome-user-share 3.0.2

=== debian/changelog ===
gnome-user-share (3.0.2-1) unstable; urgency=low

  [ Sebastien Bacher ]
  * debian/rules: disable scrollkeeper

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/02_bluetooth_optional.patch
    + Updated

  [ Michael Biebl ]
  * Drop Build-Depends on libunique-3.0-dev.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.28.0).
  * Update debian/copyright, drop outdated section about md5.[ch].
  * Update Vcs-* URLs.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Tue, 29 May 2012 19:09:09 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libxt-dev,
                pkg-config,
                libdbus-1-dev (>= 1.1.1),
-               libglib2.0-dev (>= 2.15.2),
+               libglib2.0-dev (>= 2.28.0),
                libgtk-3-dev,
                libgconf2-dev,
                libdbus-glib-1-dev,
@@ -26,11 +26,10 @@
                libcanberra-gtk3-dev,
                libselinux1-dev [linux-any],
                libgnome-bluetooth-dev (>= 2.91.5) [linux-any],
-               libunique-3.0-dev,
                libnautilus-extension-dev (>= 2.91.7)
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-user-share
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/gnome-user-share
+Standards-Version: 3.9.3
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-user-share
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-user-share
 
 Package: gnome-user-share
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 DEB_DH_MAKESHLIBS_ARGS += --exclude=libnautilus-share-extension.so
-DEB_CONFIGURE_EXTRA_FLAGS += \
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
 	--with-httpd=/usr/lib/apache2/mpm-worker/apache2 \
 	--with-modules-path=/usr/lib/apache2/modules/

## gnome-user-share 3.0.4

=== debian/changelog ===
gnome-user-share (3.0.4-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
    - Use standards-version 3.9.3

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 27 Sep 2012 15:08:33 +1200

gnome-user-share (3.0.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Drop build-depends on libgconf2-dev
    - Change build-depends from gnome-doc-utils to yelp-tools

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 25 Aug 2012 16:59:00 +1200

gnome-user-share (3.0.2-0ubuntu3) quantal; urgency=low

  * Rebuild with the new libgnome-bluetooth

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 10 Aug 2012 11:37:30 +0200

gnome-user-share (3.0.2-0ubuntu2) quantal; urgency=low

  * No-change rebuild against gnome-bluetooth 3.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 16 May 2012 01:10:31 -0400

gnome-user-share (3.0.2-0ubuntu1) precise; urgency=low

  * New upstream version:
    - Port from libunique to GtkApplication
  * debian/control.in:
    - drop the libunique requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Mar 2012 13:42:15 +0100

gnome-user-share (3.0.1-1ubuntu1) precise; urgency=low

  * debian/patches/08_fix_port_discovery.patch:
    - dropped, the fix is in the new version  

  * Resynchronize on Debian, remaining diffs:
  * debian/control:
    - don't Build-depend on scrollkeeper.
    - Suggests the apache2.2-bin and libapache2-mod-dnssd binaries rather than 
      depends on those, we want obex push to work out of the box but we don't 
      really need webdav and the apache binaries on the default installation.
  * debian/dirs: Dropped, we don't need to create /usr/share/gnome.
  * debian/gconf-defaults: Enable notifications on receipt of files by default
  * debian/patches/01_notification.patch: Display an alert box instead
    of a notification for files received. 
  * debian/patches/02_bluetooth_optional.patch: Dropped, it's enables
    Bluetooth support to be configurable at build-time. We don't
    actually use it, it adds a lot of #ifdef's to the code, and requires
    some effort to port it to the new version.
  * debian/patches/04_webdav_optional.patch:
    - De-senstize the WebDAV UI components if the suggested packages are 
      not available for WebDAV sharing. Display a notice explaining why sharing 
      cannot be enabled.
  * debian/patches/05_autostart_delay.patch: 
    - set X-GNOME-Autostart-Delay key to delay starting by 15 seconds.
  * debian/patches/06_nodisplay_autostart.patch:
    - Don't show in "Startup Applications"
  * debian/patches/07_onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn
  * debian/rules: 
    - don't move autostart file from etc to usr
    - don't install the Nautilus bar. It's not that useful to people who don't 
      have bluetooth hardware and is not easily disabled.
    - use --disable-scrollkeeper

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2011 16:37:46 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-user-share
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools,
               intltool (>= 0.35.0),
               yelp-tools,
               libxt-dev,
               pkg-config,
               libdbus-1-dev (>= 1.1.1),
               libglib2.0-dev (>= 2.15.2),
               libgtk-3-dev,
               libdbus-glib-1-dev,
               libnotify-dev (>= 0.7),
               libcanberra-gtk3-dev,
               libselinux1-dev [linux-any],
               libgnome-bluetooth-dev (>= 2.91.5) [linux-any],
               libnautilus-extension-dev (>= 2.91.7)
Standards-Version: 3.9.3
Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/gnome-user-share/ubuntu

Package: gnome-user-share
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         obex-data-server [linux-any],
         gnome-bluetooth [linux-any]
Suggests: apache2.2-bin,
          libapache2-mod-dnssd (>= 0.6)
Description: User level public file sharing via WebDAV or ObexFTP
 gnome-user-share is a small package that allows easy user-level file sharing
 via WebDAV or ObexFTP. The shared files are announced on the network
 by Avahi.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,6 @@
 
 install/gnome-user-share::
 	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf
-	mv debian/gnome-user-share/etc/xdg/autostart debian/gnome-user-share/usr/share/gnome/
-	rmdir -p --ignore-fail-on-non-empty debian/gnome-user-share/etc/xdg
 	find debian/gnome-user-share -name "*.la" -delete
+	rm -rf debian/gnome-user-share/usr/lib/nautilus
+

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/gnome-user-share/([\d\.]+[02468])/ \
	gnome-user-share-([\d\.]+)\.tar\.xz

## gnome-user-share 3.14.0

=== debian/changelog ===
gnome-user-share (3.14.0-2) unstable; urgency=medium

  * debian/control.in: Depends against bluez-obexd instead of
    obex-data-server, gnome-user-share now uses the new interfaces 

 -- Laurent Bigonville <bigon@debian.org>  Fri, 28 Nov 2014 12:53:48 +0100

gnome-user-share (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 21:05:23 +0200

gnome-user-share (3.13.91-1) experimental; urgency=medium

  * New upstream development release.
    - fixes build without bluetooth (eg. on kfreebsd & hurd).

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 13 Sep 2014 13:32:24 +0200

gnome-user-share (3.13.2-1) experimental; urgency=medium

  * New upstream development release.
    - Note: no longer started from gnome-session, now from g-s-d sharing.
  * Drop debian/patches/11_apache_noauth.patch
    - now included in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 10:33:02 -0700

gnome-user-share (3.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - drop libdbus-glib-1-dev
    - bump libgnome-bluetooth-dev to >= 3.9.3
  * Bump gnome-bluetooth dependency to also be >= 3.9.3 as the build-dep.
  * Drop debian/patches/02_bluetooth_optional.patch
    - configure option --disable-bluetooth now available in upstream release.
  * Add gnome-common build-dependency for autoreconf to succeed.
  * Bump libgnome-bluetooth-dev to >= 3.12.0-4~
    - this version fixes missing dependency on libudev-dev (avoids FTBFS)
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Jul 2014 18:45:40 +0200

gnome-user-share (3.8.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh 02_bluetooth_optional.patch.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Aug 2013 23:35:21 +0200

gnome-user-share (3.8.0-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Remove obsolete build dependency on scrollkeeper.
    + Switch apache2.2-bin dependency to apache2-bin for the Apache 2.4
      transition. Closes: #669729.
    + Bump minimum dependency on libapache2-mod-dnssd to 0.6-3.1~
      to get Apache 2.4 support.
  * debian/patches/10_apache_2.4.patch:
    + Don't load mod_unixd.so as it is statically linked.
      Thanks Arno Töll for the insights.

  [ Josselin Mouette ]
  * 11_apache_noauth.patch: fix the configuration with 
    require_password=never. Thanks Arno Töll.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Jun 2013 01:16:38 +0200

gnome-user-share (3.8.0-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/patches/02_bluetooth_optional.patch:
      - Updated.
    + debian/rules:
      - Pass --disable-bluetooth to configure on !linux.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 31 Mar 2013 18:29:51 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-user-share
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools,
               gnome-common,
               intltool (>= 0.35.0),
               yelp-tools,
               libxt-dev,
               pkg-config,
               libdbus-1-dev (>= 1.1.1),
               libglib2.0-dev (>= 2.28.0),
               libgtk-3-dev,
               libnotify-dev (>= 0.7),
               libcanberra-gtk3-dev,
               libselinux1-dev [linux-any],
               libgnome-bluetooth-dev (>= 3.12.0-4~) [linux-any],
               libnautilus-extension-dev (>= 2.91.7)
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-user-share
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-user-share

Package: gnome-user-share
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         apache2-bin (>= 2.4),
         libapache2-mod-dnssd (>= 0.6-3.1~),
         bluez-obexd [linux-any],
         gnome-bluetooth (>= 3.9.3) [linux-any]
Description: User level public file sharing via WebDAV or ObexFTP
 gnome-user-share is a small package that allows easy user-level file sharing
 via WebDAV or ObexFTP. The shared files are announced on the network
 by Avahi.

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,16 @@
 
 LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 DEB_DH_MAKESHLIBS_ARGS += --exclude=libnautilus-share-extension.so
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper \
+DEB_CONFIGURE_EXTRA_FLAGS += \
 	--with-httpd=/usr/lib/apache2/mpm-worker/apache2 \
 	--with-modules-path=/usr/lib/apache2/modules/
 
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-bluetooth
+endif
+
 install/gnome-user-share::
 	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf
+	mv debian/gnome-user-share/etc/xdg/autostart debian/gnome-user-share/usr/share/gnome/
+	rmdir -p --ignore-fail-on-non-empty debian/gnome-user-share/etc/xdg
 	find debian/gnome-user-share -name "*.la" -delete
-	rm -rf debian/gnome-user-share/usr/lib/nautilus
-

## gnome-user-share 3.14.2

=== debian/changelog ===
gnome-user-share (3.14.2-2ubuntu4) xenial; urgency=medium

  * d/p/0004-revert-remove-help.patch: Bring back the help files
    for users of gnome-file-share-properties (LP: #1570230) 

 -- Tim Lunn <tim@feathertop.org>  Wed, 20 Apr 2016 18:48:12 +1000

gnome-user-share (3.14.2-2ubuntu3) xenial; urgency=medium

  * debian/patches: 0001-revert-remove-preferences-application.patch
    Fix launching of Prefences from nautilus share bar under unity and
    patch infobar color (LP: #1562515) 

 -- Tim Lunn <tim@feathertop.org>  Sun, 10 Apr 2016 13:16:34 +1000

gnome-user-share (3.14.2-2ubuntu2) xenial; urgency=medium

  * maintscript: remove old xdg autostart file (lp: #1526894)

 -- Tim Lunn <tim@feathertop.org>  Thu, 17 Dec 2015 08:18:59 +1100

gnome-user-share (3.14.2-2ubuntu1) xenial; urgency=medium

  * New Upstream release (LP: #1518813)
  * Merge with Debian, Remaining changes:
    - Suggests the apache2.2-bin and libapache2-mod-dnssd binaries rather than
      depends on those, we want obex push to work out of the box but we don't
      really need webdav and the apache binaries on the default installation.
    - debian/patches:
      + 0001-revert-remove-preferences-application.patch
        0002-revert-data-get-started-by-gsd-sharing.patch
        0003-revert-webdav-fix-launching-server.patch:
         Bring back the preferences app for Unity and modify to allow g-s-d sharing
         panel to also work
      + 01_notification.patch: Display an alert box instead of a notification
        for files received.
    - debian/rules: 
      + Don't change path to httpd  
      + Remove apache 2.2 config
  * 04_webdav_optional.patch, 05_autostart_delay.patch: Refreshed
  * 06_nodisplay_autostart.patch,
    07_onlyshowin_unity.patch: dropped, applied in preferences patches

 -- Tim Lunn <tim@feathertop.org>  Fri, 27 Nov 2015 21:05:42 +1100

gnome-user-share (3.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Jun 2015 12:24:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-user-share
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 8),
                dh-autoreconf,
@@ -25,17 +26,16 @@
                libgnome-bluetooth-dev (>= 3.12.0-4~) [linux-any],
                libnautilus-extension-dev (>= 2.91.7)
 Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-user-share
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-user-share
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/gnome-user-share/ubuntu
 
 Package: gnome-user-share
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         apache2-bin (>= 2.4),
-         libapache2-mod-dnssd (>= 0.6-3.1~),
          bluez-obexd [linux-any],
          gnome-bluetooth (>= 3.9.3) [linux-any]
+Suggests: apache2-bin (>= 2.4),
+          libapache2-mod-dnssd (>= 0.6-3.1~),
 Description: User level public file sharing via WebDAV or ObexFTP
  gnome-user-share is a small package that allows easy user-level file sharing
  via WebDAV or ObexFTP. The shared files are announced on the network

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,16 @@
 LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 DEB_DH_MAKESHLIBS_ARGS += --exclude=libnautilus-share-extension.so
 DEB_CONFIGURE_EXTRA_FLAGS += \
-	--with-httpd=/usr/lib/apache2/mpm-worker/apache2 \
 	--with-modules-path=/usr/lib/apache2/modules/
 
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 DEB_CONFIGURE_EXTRA_FLAGS += --disable-bluetooth
 endif
 
+pre-build::
+	cp -a debian/help/* help/ 
+
 install/gnome-user-share::
 	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf
-	mv debian/gnome-user-share/etc/xdg/autostart debian/gnome-user-share/usr/share/gnome/
-	rmdir -p --ignore-fail-on-non-empty debian/gnome-user-share/etc/xdg
+	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.2.conf
 	find debian/gnome-user-share -name "*.la" -delete

## gnome-user-share 3.18.2

=== debian/changelog ===
gnome-user-share (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Add Build-Depends on systemd on Linux to get the correct path for the
    systemd user unit directory.
  * Add patch to ensure systemd is not mandatory so we can build on non-Linux
    architectures.
  * Bump Standards-Version to 3.9.8.
  * Drop debian/dirs, no longer needed.
  * Convert from cdbs to dh.
  * Bump debhelper compatibility level to 9.
  * Add patch to properly expand paths in gnome-user-share-webdav.desktop.

 -- Michael Biebl <biebl@debian.org>  Fri, 02 Sep 2016 18:16:19 +0200

gnome-user-share (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 16:12:22 +0100

gnome-user-share (3.18.0-1) unstable; urgency=medium

  * New upstream release.
    - drops ObexPush support which moved to gnome-bluetooth.
  * debian/rules: drop moving of obexpush autostart files.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Sep 2015 10:15:56 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-user-share
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools,
               gnome-common,
               intltool (>= 0.35.0),
               yelp-tools,
               libxt-dev,
               pkg-config,
               libdbus-1-dev (>= 1.1.1),
               libglib2.0-dev (>= 2.28.0),
               libgtk-3-dev,
               libnotify-dev (>= 0.7),
               libcanberra-gtk3-dev,
               libselinux1-dev [linux-any],
               libgnome-bluetooth-dev (>= 3.12.0-4~) [linux-any],
               libnautilus-extension-dev (>= 2.91.7),
               systemd [linux-any]
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-user-share
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-user-share

Package: gnome-user-share
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         apache2-bin (>= 2.4),
         libapache2-mod-dnssd (>= 0.6-3.1~),
         bluez-obexd [linux-any],
         gnome-bluetooth (>= 3.9.3) [linux-any]
Description: User level public file sharing via WebDAV or ObexFTP
 gnome-user-share is a small package that allows easy user-level file sharing
 via WebDAV or ObexFTP. The shared files are announced on the network
 by Avahi.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with autoreconf,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

ifneq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = --disable-bluetooth
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=\$${libdir}/gnome-user-share \
		--with-httpd=/usr/lib/apache2/mpm-worker/apache2 \
		--with-modules-path=/usr/lib/apache2/modules/ \
		$(CONFFLAGS)

override_dh_install:
	dh_install
	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf
	find debian/gnome-user-share -name "*.la" -delete

override_dh_makeshlibs:
	dh_makeshlibs --exclude=libnautilus-share-extension.so

## gnome-user-share 3.18.3

=== debian/changelog ===
gnome-user-share (3.18.3-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 15:02:15 -0500

gnome-user-share (3.18.3-2) unstable; urgency=medium

  * Fully drop Bluetooth from packaging, obsolete since 3.18.0.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Sep 2017 10:28:16 -0400

gnome-user-share (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop 30-build-Properly-expand-paths-in-gnome-user-share-webd.patch, merged
    upstream.
  * Bump debhelper compat level to 10.
  * Use non-multiarch path (/usr/lib/gnome-user-share) for libexecdir.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2016 12:48:27 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-user-share
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               gnome-common,
               intltool (>= 0.35.0),
               yelp-tools,
               libxt-dev,
               pkg-config,
               libdbus-1-dev (>= 1.1.1),
               libglib2.0-dev (>= 2.28.0),
               libgtk-3-dev,
               libnotify-dev (>= 0.7),
               libcanberra-gtk3-dev,
               libselinux1-dev [linux-any],
               libnautilus-extension-dev (>= 2.91.7),
               systemd [linux-any]
Standards-Version: 4.1.2
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-user-share.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-user-share.git

Package: gnome-user-share
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         apache2-bin (>= 2.4),
         libapache2-mod-dnssd (>= 0.6-3.1~)
Description: User level public file sharing via WebDAV
 gnome-user-share is a small package that allows easy user-level file sharing
 via WebDAV. The shared files are announced on the network by Avahi.

=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,14 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf,gnome
+	dh $@ --with gnome
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
 
-ifneq ($(DEB_HOST_ARCH_OS),linux)
-CONFFLAGS = --disable-bluetooth
-endif
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=\$${libdir}/gnome-user-share \
+		--libexecdir=\$${prefix}/lib/gnome-user-share \
 		--with-httpd=/usr/lib/apache2/mpm-worker/apache2 \
 		--with-modules-path=/usr/lib/apache2/modules/ \
 		$(CONFFLAGS)

## gnome-user-share 3.28.0

=== debian/changelog ===
gnome-user-share (3.28.0-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 19:37:01 -0500

gnome-user-share (3.28.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Enable all hardening flags
  * Drop -O1 from LDFLAGS
  * Print deleted *.la files

  [ Andreas Henriksson ]
  * New upstream release.
  * Bump nautilus-extension build-dep to >= 3.27.90

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Sep 2018 19:01:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-user-share
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gnome-common,
                intltool (>= 0.35.0),
@@ -20,11 +20,11 @@
                libnotify-dev (>= 0.7),
                libcanberra-gtk3-dev,
                libselinux1-dev [linux-any],
-               libnautilus-extension-dev (>= 2.91.7),
+               libnautilus-extension-dev (>= 3.27.90),
                systemd [linux-any]
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-user-share.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-user-share.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-user-share
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-user-share.git
 
 Package: gnome-user-share
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome
@@ -20,7 +19,7 @@
 override_dh_install:
 	dh_install
 	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf
-	find debian/gnome-user-share -name "*.la" -delete
+	find debian/gnome-user-share -name "*.la" -print -delete
 
 override_dh_makeshlibs:
 	dh_makeshlibs --exclude=libnautilus-share-extension.so

## gnome-user-share 3.32.0

=== debian/changelog ===
gnome-user-share (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on intltool

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 07 Mar 2019 05:19:47 -0500

## gnome-user-share 3.32.0.1

=== debian/changelog ===
gnome-user-share (3.32.0.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 19:38:17 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools,
                gnome-common,
-               intltool (>= 0.35.0),
                yelp-tools,
                libxt-dev,
                pkg-config,

## gnome-user-share 3.34.0

=== debian/changelog ===
gnome-user-share (3.34.0-5) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005590)
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 14:00:10 -0400

gnome-user-share (3.34.0-3) unstable; urgency=medium

  * debian/rules: Set -Dsystemduserunitdir instead of build-depending on
    systemd, that should help fix FTBFS on non-linux architectures
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Sep 2021 11:37:53 +0200

gnome-user-share (3.34.0-2) unstable; urgency=medium

  * Stop overriding libexecdir
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Upload to unstable (Closes: #884777)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 09:04:27 -0400

gnome-user-share (3.34.0-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * control: drop build-dep on gnome-common Closes: #829914
  * d/p/20-build-Don-t-install-systemd-user-unit-files-if-targe.patch: Dropped, gnome-user-share requires systemd --user session now

 -- Tim Lunn <tim@feathertop.org>  Sun, 22 Sep 2019 11:08:33 +1000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools,
-               gnome-common,
-               yelp-tools,
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
+               apache2-bin (>= 2.4),
+               itstool,
                libxt-dev,
+               meson (>=0.50.0),
                pkg-config,
                libdbus-1-dev (>= 1.1.1),
-               libglib2.0-dev (>= 2.28.0),
+               libglib2.0-dev (>= 2.58.0),
                libgtk-3-dev,
                libnotify-dev (>= 0.7),
                libcanberra-gtk3-dev,
                libselinux1-dev [linux-any],
-               libnautilus-extension-dev (>= 3.27.90),
-               systemd [linux-any]
-Standards-Version: 4.3.0
+               libnautilus-extension-dev (>= 3.27.90)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-user-share
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-user-share.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dnautilus_extension=true \
		-Dmodules_path=/usr/lib/apache2/modules/ \
		-Dsystemduserunitdir=/usr/lib/systemd/user \
		$(CONFFLAGS)

override_dh_install:
	dh_install
	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf

override_dh_makeshlibs:
	dh_makeshlibs --exclude=libnautilus-share-extension.so

## gnome-user-share 43~alpha

=== debian/changelog ===
gnome-user-share (43~alpha-1) unstable; urgency=medium

  * New upstream release
  * Stop building nautilus extension (Closes: #1014933)
  * debian/control.in: Bump minimum glib and meson
  * debian/control.in: Set Rules-Requires-Root: no
  * Drop meson patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2022 14:16:01 -0400

## gnome-user-share 43.0

=== debian/changelog ===
gnome-user-share (43.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:13:39 +0000

gnome-user-share (43.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:45:56 +0000

gnome-user-share (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 15:36:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,21 @@
 Source: gnome-user-share
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                apache2-bin (>= 2.4),
                itstool,
                libxt-dev,
-               meson (>=0.50.0),
+               meson (>=0.57.0),
                pkg-config,
                libdbus-1-dev (>= 1.1.1),
-               libglib2.0-dev (>= 2.58.0),
-               libgtk-3-dev,
-               libnotify-dev (>= 0.7),
-               libcanberra-gtk3-dev,
+               libglib2.0-dev (>= 2.71.3),
                libselinux1-dev [linux-any],
-               libnautilus-extension-dev (>= 3.27.90)
 Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-user-share
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-user-share.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dmodules_path=/usr/lib/apache2/modules/ \
		-Dsystemduserunitdir=/usr/lib/systemd/user \
		$(CONFFLAGS)

override_dh_install:
	dh_install
	rm -f debian/gnome-user-share/usr/share/gnome-user-share/dav_user_2.0.conf

## gnome-user-share 47~alpha

=== debian/changelog ===
gnome-user-share (47~alpha-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * Bump minimum glib to 2.74
  * Bump Standards Version to 4.7.0
  * debian/docs: README → README.md
  * Refresh patches
  * Stop using debian/control.in & dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 15:37:30 -0400
